import {mande} from "mande";
import {queryRemoveZero} from "@/api/utils.js";

const product = mande('/api/v2/sellers')

export const ListSellers = (q) => {
    const query = queryRemoveZero(q)
    return product.get({query})
}

export const CreateSeller = (seller)=>{
    return product.post(seller)
}

export const UpdateSeller = (seller)=>{
    return product.put(seller)
}

export const GetSeller = (id) =>{
    return product.get(`/${id}`)
}

export  const DeleteSeller = (id)=>{
    return product.delete(`/${id}`)
}